SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Device (Embedded Server/Appliance)  >   IBM Security Network Protection Vendors:   IBM
IBM Security Network Protection Buffer Overflow in Expat Library Lets Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1037705
SecurityTracker URL:  http://securitytracker.com/id/1037705
CVE Reference:   CVE-2016-0718   (Links to External Site)
Date:  Jan 26 2017
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 5.3.1, 5.3.2, 5.3.3
Description:   A vulnerability was reported in IBM Security Network Protection. A remote user can execute arbitrary code on the target system.

A remote authenticated user can send specially crafted data to trigger a buffer overflow in the Expat XML parser library and execute arbitrary code on the target system.

Impact:   A remote user can execute arbitrary code on the target system.
Solution:   IBM has issued a fix (5.3.1.12, 5.3.2.6, 5.3.3.2).

The IBM advisory is available at:

http://www-01.ibm.com/support/docview.wss?uid=swg21995440

Vendor URL:  www-01.ibm.com/support/docview.wss?uid=swg21995440 (Links to External Site)
Cause:   Boundary error

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC